using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Bullet : MonoBehaviour
{
    public float bulletSpeed = 0.0f;
    public Vector3 myDir;
    public float speed = 30.0f; //Probably don't need a slerp for this
    private Transform target;
    void Start()
    {

    }
    void Update()
    {
        //Move Projectile
        transform.position += transform.forward * bulletSpeed * Time.deltaTime;
    }
    /*void OnTriggerEnter(Collider other)//void OnCollisionEnter(Collision hit)
    {
        if (other.gameObject.tag == "PlayerTarget")// || hit.gameObject.tag == "Bullet")
        {
            // Physics.IgnoreCollision(other.GetComponent<Collider>(), GetComponent<Collider>());
            Physics.IgnoreCollision(other.GetComponent<Collider>(), GetComponent<Collider>());
            return;
        }
        var otherObj = other.gameObject;
        Destroy(gameObject);
    }*/
}
